Important Notice: Effective immediately, all support will be handled through Discord. Read more about the changes coming to Anodyne's services.

Updating from 2.5 to 2.6.1

Having a problem getting Nova installed? Can't figure out why something isn't working right? This is the place to get help and report any bugs you find with Nova!

Moonsword Sat Oct 12, 2019 6:57 am

Updating from 2.5 to 2.6.1

I am updating the files for my game, and I get weird issues.
If I populate the files with the information as outlined in: https://help.anodyne-productions.com/ar ... to-nova-26
I get:
<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed'); require_once MODPATH.'core/config/nova_extensions.php';
An Error Was Encountered
Your application/config/extensions.php file does not appear to contain a valid configuration array.

I populate the file with the required information and I still get:
<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed'); require_once MODPATH.'core/config/nova_extensions.php';
along the top of the screen.

I also have not been taken to the normal update Nova screen.

Does anyone have any suggestions?

Posts: 45


AgentPhoenix Mon Oct 14, 2019 7:37 am

Re: Updating from 2.5 to 2.6.1

You might have to try spreading each of those statements across multiple lines. It shouldn't matter, but it's a little strange that they're all on the same line.
User avatar

Posts: 7596


Moonsword Wed Oct 16, 2019 1:40 am

Re: Updating from 2.5 to 2.6.1

It also hasn't even attempted to do install the update.

Files Version: 2.6.1
Database Version: 2.5.0
CodeIgniter Version: 2.2.3

The site is https://ussdreadnought.com/index.php/report/versions

Posts: 45


Moonsword Thu Jan 16, 2020 9:05 pm

Re: Updating from 2.5 to 2.6.1

I have reinstalled Nova because I couldn't find a way of fixing this error.

It won't update the database. it still says the database is version 2.5.0.

Is there anyway to force it to do an update?

Posts: 45


AgentPhoenix Mon Jan 20, 2020 8:20 am

Re: Updating from 2.5 to 2.6.1

I'm confused... you did a fresh install and it's still saying you're on Nova 2.5?
User avatar

Posts: 7596


Moonsword Mon Feb 24, 2020 9:10 pm

Re: Updating from 2.5 to 2.6.1

I did a fresh install, and this is what I get on the versions page:

Site URL: https://ussdreadnought.com/

Files Version: 2.6.1
Database Version: 2.5.0
CodeIgniter Version: 2.2.3

Posts: 45


AgentPhoenix Tue Feb 25, 2020 9:02 am

Re: Updating from 2.5 to 2.6.1

Can you run the update process to update the database to the latest version or does that throw an error?
User avatar

Posts: 7596


Moonsword Sun Mar 01, 2020 10:07 am

Re: Updating from 2.5 to 2.6.1

I don't get the option to run the database update

Posts: 45


AgentPhoenix Sun Mar 01, 2020 9:35 pm

Re: Updating from 2.5 to 2.6.1

You might have to manually navigate to the update page and run the update.
User avatar

Posts: 7596



Return to Help

Who is online

Users browsing this forum: No registered users and 1 guest

cron